Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QLocale.MeasurementSystem

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QLocale.MeasurementSystem

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QLocale

    public static final class QLocale.MeasurementSystem

extends java.lang.Enum
implements QtEnumerator

This enum defines which units are used for measurement.

See Also:
  Serialized Form

Field Summary
`static QLocale.MeasurementSystem` | `ImperialSystem` This value indicates imperial units, such as inches and miles.
`static QLocale.MeasurementSystem` | `MetricSystem` This value indicates metric units, such as meters, centimeters and millimeters.

Method Summary
`static QLocale.MeasurementSystem` | `resolve(int value)` Returns the QLocale$MeasurementSystem constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QLocale.MeasurementSystem` | `valueOf(java.lang.String name)`
`static QLocale.MeasurementSystem[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MetricSystem

    public static final QLocale.MeasurementSystem MetricSystem

  This value indicates metric units, such as meters, centimeters and millimeters.

### ImperialSystem

    public static final QLocale.MeasurementSystem ImperialSystem

  This value indicates imperial units, such as inches and miles. There are several distinct imperial systems in the world; this value stands for the official United States imperial units.

Method Detail

### values

    public static QLocale.MeasurementSystem[] values()

### valueOf

    public static QLocale.MeasurementSystem valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QLocale.MeasurementSystem resolve(int value)

  Returns the QLocale$MeasurementSystem constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD